package org.dive4elements.river.jfree;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

import org.jfree.data.time.TimeSeries;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class StyledTimeSeries extends TimeSeries implements StyledSeries {

    private static final Logger logger =
        Logger.getLogger(StyledTimeSeries.class);


    protected Style style;


    public StyledTimeSeries(String key, Document theme) {
        super(key);
        setStyle(new XYStyle(theme));
    }


    @Override
    public void setStyle(Style style) {
        this.style = style;
    }


    @Override
    public Style getStyle() {
        return style;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
